Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.project.ant/1 1.12.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.spi.project.support.ant
Class ProjectXmlSavedHook

    java.lang.Object
      org.netbeans.spi.project.support.ant.ProjectXmlSavedHook

    public abstract class ProjectXmlSavedHook

extends Object

Hook run when `nbproject/project.xml` is saved. An instance should be placed into a project's lookup to register it.

See Also:
  `Project.getLookup()`

Constructor Summary
`protected` | `ProjectXmlSavedHook()` Default constructor for subclasses.

Method Summary
`protected abstract void` | `projectXmlSaved()` Called when shared project metadata (`project.xml`) has been modified.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProjectXmlSavedHook

    protected ProjectXmlSavedHook()

  Default constructor for subclasses.

Method Detail

### projectXmlSaved

    protected abstract void projectXmlSaved()
                                     throws IOException

  Called when shared project metadata (`project.xml`) has been modified.

  Also called the first the time a project created by `ProjectGenerator` is saved. This is called during a project save event and so runs with write access.

  Typically the project's `build.xml` and/or `nbproject/build-impl.xml` may need to be (re-)generated; see `GeneratedFilesHelper` for details.

  Throws:
    `IOException` - if running the hook failed for some reason

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.project.ant/1 1.12.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.